[SCM] Samba Shared Repository - branch master updated

Matthias Dieter Wallnöfer mdw at samba.org
Sat Sep 11 11:15:11 MDT 2010


The branch, master has been updated
       via  6bd6fdc s4:unittest: Test wbinfo --group-info and --gid-info
       via  8a0db43 test_wbinfo.c - count more possible failures
      from  1ddd63b ldb:tools/cmdline.c - reorganise imports

http://gitweb.samba.org/?p=samba.git;a=shortlog;h=master


- Log -----------------------------------------------------------------
commit 6bd6fdcd7275511f542ec4c640028a6c088a4d8a
Author: Matthieu Patou <mat at matws.net>
Date:   Tue Mar 9 15:39:56 2010 +0300

    s4:unittest: Test wbinfo --group-info and --gid-info
    
    Signed-off-by: Matthias Dieter Wallnöfer <mdw at samba.org>

commit 8a0db43ad8d84c195fd6cd716ec92f9b47ab4649
Author: Matthias Dieter Wallnöfer <mdw at samba.org>
Date:   Sat Sep 11 19:13:13 2010 +0200

    test_wbinfo.c - count more possible failures

-----------------------------------------------------------------------

Summary of changes:
 nsswitch/tests/test_wbinfo.sh |   17 +++++++++++++----
 1 files changed, 13 insertions(+), 4 deletions(-)


Changeset truncated at 500 lines:

diff --git a/nsswitch/tests/test_wbinfo.sh b/nsswitch/tests/test_wbinfo.sh
index b92b8f0..4efffc8 100755
--- a/nsswitch/tests/test_wbinfo.sh
+++ b/nsswitch/tests/test_wbinfo.sh
@@ -163,6 +163,7 @@ if test x$own_domain = x$DOMAIN; then
 else
 	echo "Own domain reported as $own_domain instead of $DOMAIN"
 	echo "failure: wbinfo --own-domain against $TARGET check output"
+	failed=`expr $failed + 1`
 fi
 
 # this does not work
@@ -173,11 +174,19 @@ testit "wbinfo -D against $TARGET" $wbinfo -D $DOMAIN || failed=`expr $failed +
 
 testit "wbinfo -i against $TARGET" $wbinfo -i "$DOMAIN/$USERNAME" || failed=`expr $failed + 1`
 
-testit "wbinfo --uid-info against $TARGET" $wbinfo --uid-info $admin_uid
+testit "wbinfo --uid-info against $TARGET" $wbinfo --uid-info $admin_uid || failed=`expr $failed + 1`
 
-# this does not work
-knownfail "wbinfo --group-info against $TARGET" $wbinfo --group-info "S-1-22-2-0"
-knownfail "wbinfo --gid-info against $TARGET" $wbinfo --gid-info 30001
+echo "test: wbinfo --group-info against $TARGET"
+rawgid=`$wbinfo --group-info "Domain admins" | sed 's/.*:\([0-9][0-9]*\):/\1/'`
+if test x$? = x0; then
+	echo "success: wbinfo --group-info against $TARGET"
+else
+	echo "failure: wbinfo --group-info against $TARGET"
+	failed=`expr $failed + 1`
+fi
+
+gid=`echo $rawgid | sed 's/.*:\([0-9][0-9]*\):/\1/'`
+testit "wbinfo --gid-info against $TARGET" $wbinfo --gid-info $gid || failed=`expr $failed + 1`
 
 testit "wbinfo -r against $TARGET" $wbinfo -r "$DOMAIN/$USERNAME" || failed=`expr $failed + 1`
 


-- 
Samba Shared Repository


More information about the samba-cvs mailing list